### Function

# EvinceDocument Document factory_add_filters

#### Declaration [src]

    void
    ev_document_factory_add_filters (
      GtkWidget* chooser,
      EvDocument* document
    )

#### Description [src]

Adds some file filters to `chooser`.

Always add a “All documents” format.

If `document` is not `NULL`, adds a `GtkFileFilter` for `document`‘s MIME type.

If `document` is `NULL`, adds a `GtkFileFilter` for each document type that evince can handle.

#### Parameters

`chooser` | `GtkWidget`
| A `GtkFileChooser`.
| The data is owned by the caller of the function.
`document` | `EvDocument`
| A `EvDocument`, or `NULL`.
| The data is owned by the caller of the function.